
Figure - Bug #116088
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】在时钟小窗设置页面，进行一次mini状态和正常状态的切换，然后点击左上角
返回按钮->时钟小窗消失，打开recent，同时出现小窗卡片和应用进程卡片
2023-02-08 17:07 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-08

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0074.X101

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 当一个Task中有多个ActivityRecord时,在进行resize task动画时,不要隐藏非top activity

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开时钟小窗设置页面

2、进行一次mini状态和正常状态的切换

3、点击左上角返回按钮

【预期结果】

3、返回时钟应用的上一级页面

【实际结果】

3、时钟小窗消失，打开recent，同时出现小窗卡片和应用进程卡片

【复现率】

3/3

History

#1 - 2023-02-10 14:25 - CD FW-鲁凯峰

- Resolution changed from -- to FIXED

- Root cause set to 当一个Task中有多个ActivityRecord时,在进行resize task动画时,不要隐藏非top activity

■ Current conclusion

问题已经解决

■ My analysis

当一个Task中有多个ActivityRecord时,在进行resize task动画时,不要隐藏非top activity

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/180828
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/180828


#2 - 2023-02-10 20:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180828 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: fix small window not showdon't hide non top activity when resize taskTC-RID: 1201-0204601IssueID: TS-R-BUG-116088Change-Id:

I869b56b89003207238170c0033fb780b37c8d36c

#3 - 2023-02-10 20:14 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

#4 - 2023-02-14 18:39 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0074.X101

2.14

验证通过

#5 - 2023-02-14 18:39 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-08 17-04-34.mp4 17.8 MB 2023-02-08 CD TEST-方永红

2025-07-04 2/2


